Package com.enonic.xp.scheduler

## Class CreateScheduledJobParams.Builder

- java.lang.Object
- - com.enonic.xp.scheduler.CreateScheduledJobParams.Builder

- Enclosing class:
    CreateScheduledJobParams

      public static class CreateScheduledJobParams.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CreateScheduledJobParams` | `build()` |
    `CreateScheduledJobParams.Builder` | `calendar​(ScheduleCalendar calendar)` |
    `CreateScheduledJobParams.Builder` | `config​(PropertyTree config)` |
    `CreateScheduledJobParams.Builder` | `description​(String description)` |
    `CreateScheduledJobParams.Builder` | `descriptor​(DescriptorKey descriptor)` |
    `CreateScheduledJobParams.Builder` | `enabled​(boolean enabled)` |
    `CreateScheduledJobParams.Builder` | `name​(ScheduledJobName name)` |
    `CreateScheduledJobParams.Builder` | `user​(PrincipalKey user)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### name

          public CreateScheduledJobParams.Builder name​(ScheduledJobName name)

    - #### description

          public CreateScheduledJobParams.Builder description​(String description)

    - #### calendar

          public CreateScheduledJobParams.Builder calendar​(ScheduleCalendar calendar)

    - #### enabled

          public CreateScheduledJobParams.Builder enabled​(boolean enabled)

    - #### descriptor

          public CreateScheduledJobParams.Builder descriptor​(DescriptorKey descriptor)

    - #### config

          public CreateScheduledJobParams.Builder config​(PropertyTree config)

    - #### user

          public CreateScheduledJobParams.Builder user​(PrincipalKey user)

    - #### build

          public CreateScheduledJobParams build()